BTDEVCTL(8)

NAME
btdevctl - Bluetooth remote device control utility

SYNOPSIS
btdevctl [-A | -D] [-qv] [-m mode] -a address -d device -s service

DESCRIPTION
The btdevctl utility is used to configure bluetooth devices in the system. Normally, btdevctl will perform an SDP query to the remote device as needed, and cache the results in the /var/db/btdevctl.plist file for later use. If neither Attach nor Detach is specified, btdevctl will display the configuration.

The options are:

-A  Attach device

-a address
    Remote device address. The address may be given as BDADDR or a name. If a name was specified, btdevctl attempts to resolve the name via bt_gethostbyname(3).

-D  Detach device

-d device
    Local device address. May be given as BDADDR or device name.

-m mode
    Connection link mode. The following modes are supported:

    none
        clear previously set mode.
    auth
        require devices be paired, see btpin(1).
    encrypt
        auth, plus enable encryption.
    secure
        encryption, plus change of link key.

    When configuring the HID service, btdevctl will set ‘auth’ by default, or ‘encrypt’ for keyboard devices. If the device cannot handle authentication, then the mode will need to be cleared manually.

-q  Ignore any cached data and perform a SDP query for the given service.

-s service
    Service to configure. Known services are:

    HID Human Interface Device.
    HF  Handsfree.
    HSET
        Headset.

-v  Be verbose.

For device configurations to persist across boots, add entries to the /etc/bluetooth/btdevctl.conf file and ensure the rc.conf(5) variable bluetooth is set to YES.

FILES
/etc/bluetooth/btdevctl.conf
/dev/bthub
/var/db/btdevctl.plist

EXIT STATUS

SEE ALSO
btpin(1), bthidev(4), bthub(4), btsco(4), rc.conf(5)

See the Bluetooth chapter of "The NetBSD Guide" for detailed examples of configuring keyboards, mice, and audio headsets.

HISTORY
Parts of the btdevctl program originated in the FreeBSD bthidcontrol program.

AUTHORS
Iain Hibbert for Itronix, Inc. Maksim Yevmenkin <m_evmenkin@yahoo.com>